ApiIntegrations
Update Integration
Rename an MCP integration.
Rename an MCP integration.
Only MCP integrations can be renamed; other providers derive the name from the connected account. The name is how agents reference the server, so it must be 1-64 characters using only letters, digits, hyphens and underscores.
Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Path Parameters
integration_id*Integration Id
Format
uuidHeader Parameters
X-API-Key?string|null
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://api.levainlabs.com/api/v1/integrations/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "display_name": "string" }'{
"id": "string",
"provider": "string",
"kind": "string",
"display_name": "string",
"external_account_id": "string",
"status": "string",
"scopes": [
"string"
],
"metadata": {},
"created_at": "string"
}